%define major	7
%define libname %mklibname %name %{major}
%define develname %mklibname -d %name

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Version: 	2.28.3
Release: %mkrel 1
Epoch: 1
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/%{name}-%{version}.tar.bz2
#gw missing file: http://bugzilla.gnome.org/show_bug.cgi?id=589280
Source1: DBusGLib-1.0.gir
URL:		http://usefulinc.com/software/gnome-bluetooth/
#gw lib is LGPL, main app is GPL
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext
BuildRequires:	libbtctl-devel >= 0.9
BuildRequires:	openobex-devel
BuildRequires:	unique-devel
BuildRequires:	libnotify-devel
BuildRequires:	libGConf2-devel
BuildRequires:	hal-devel
BuildRequires:	bluez-devel bluez-sdp-devel gob2 librsvg-devel
BuildRequires:  gobject-introspection-devel gir-repository
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
Requires(post)  : desktop-file-utils
Requires(postun): desktop-file-utils
Requires: gvfs-obexftp
Requires: bluez
Requires: obexd
Provides: bluez-pin
Provides: bluez-gnome
Obsoletes: bluez-gnome
Provides: bluez-gnome-analyzer
Obsoletes: bluez-gnome-analyzer



%description
The GNOME Bluetooth Subsystem contains a Bonobo server to control Bluetooth
devices, and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth library

%description -n %libname
Library from GNOME-Bluetooth.

%package -n %develname
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version-%release
Provides:	libgnomebt-devel = %version-%release
Requires:	%libname = %{epoch}:%version
Requires:	libbtctl-devel >= 0.6
Provides: %mklibname -d %name 0
Obsoletes:  %mklibname -d %name 0
Provides: %mklibname -d %name 1
Obsoletes:  %mklibname -d %name 1


%description -n %develname
Static libraries and header files from %name

%prep
%setup -q
cp %SOURCE1 lib

%build
%configure2_5x --enable-shared --disable-static --disable-desktop-update \
	       --disable-schemas-install --disable-icon-update
make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std GIRDIR=%_datadir/gir-1.0 TYPELIBDIR=%_libdir/girepository-1.0

%find_lang %{name}2
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done
cat %name.lang >> %{name}2.lang

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%define schemas bluetooth-manager
%if %mdvver < 200900
%post_install_gconf_schemas %schemas
%update_icon_cache hicolor
%update_desktop_database
%endif

%preun
%preun_uninstall_gconf_schemas %schemas

%if %mdvver < 200900
%clean_desktop_database
%clean_icon_cache hicolor
%endif


%files -f %{name}2.lang
%defattr(-,root,root)
%doc README AUTHORS
%_sysconfdir/gconf/schemas/bluetooth-manager.schemas
%_sysconfdir/xdg/autostart/bluetooth-applet.desktop
%_bindir/*
%_datadir/applications/bluetooth-properties.desktop
%{_datadir}/%name
%_mandir/man1/*
%_datadir/icons/hicolor/*/*/*.*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/libgbtgeoclue.*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib%name.so.%{major}*
%_libdir/girepository-1.0/GnomeBluetooth-1.0.typelib

%files -n %develname
%defattr(-,root,root)
%_datadir/gtk-doc/html/%name
%{_includedir}/%name
%attr(644,root,root)%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%_datadir/gir-1.0/GnomeBluetooth-1.0.gir


%changelog
* Wed Oct 21 2009 Frederic Crozat <fcrozat@mandriva.com> 1:2.28.3-1mdv2010.0
+ Revision: 458608
- Release 2.28.3

* Tue Oct 06 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:2.28.1-2mdv2010.0
+ Revision: 454749
- do not package huge ChangeLog

* Tue Sep 29 2009 Götz Waschk <waschk@mandriva.org> 1:2.28.1-1mdv2010.0
+ Revision: 450780
- new version
- disable parallel make

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1:2.28.0-1mdv2010.0
+ Revision: 446802
- new version

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.90-1mdv2010.0
+ Revision: 425495
- new version
- drop patch

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-4mdv2010.0
+ Revision: 423399
- fix duplicate UIs (bug #53000)

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-3mdv2010.0
+ Revision: 415267
- move typelib to library package

* Fri Aug 07 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-2mdv2010.0
+ Revision: 411135
- add dep on obexd

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-1mdv2010.0
+ Revision: 409377
- update to new version 2.27.9

* Fri Jul 31 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.8-2mdv2010.0
+ Revision: 405069
- enable introspection support
- new version
- new major
- disable introspection by default

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.7.1-1mdv2010.0
+ Revision: 389181
- new version
- update file list
- disable static libraries

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.6-1mdv2010.0
+ Revision: 386566
- new version
- drop patch
- new major

* Wed May 13 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.5-2mdv2010.0
+ Revision: 375461
- update deps
- obsolete bluez-gnome

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.5-1mdv2010.0
+ Revision: 374503
- update build deps
- add epoch
- new version
- fix format strings
- new major
- update file list
- update deps

* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1:0.12.0-4mdv2009.1
+ Revision: 368852
- Fix invalid requires in devel package

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 1:0.12.0-3mdv2009.1
+ Revision: 353096
- set epoch to be able to upload 0.12.0
- revert to 0.12.0

* Fri Feb 20 2009 mandrake <mandrake@mandriva.com> 2.27.1-1mdv2009.1
+ Revision: 343255
- %repsys markrelease
  version: 0.12.0
  release: 2mdv2009.1
  revision: 343247
  Copying 0.12.0-2mdv2009.1 to releases/ directory.

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-2mdv2009.1
+ Revision: 343247
- fix devel name

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.1
+ Revision: 343224
- new version
- remove gnome-obex-server
- drop patches
- new major
- update license

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.0-4mdv2009.1
+ Revision: 319534
- rebuild with python 2.6

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-3mdv2009.1
+ Revision: 301525
- rebuilt against new libxcb

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.11.0-2mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 28 2008 Frederic Crozat <fcrozat@mandriva.com> 0.11.0-2mdv2008.1
+ Revision: 159238
- Patch3: hide status icon by default, only show it during transfert or dialog popup

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 156133
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2008.1
+ Revision: 155794
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 54630
- new version

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2008.0
+ Revision: 52415
- drop patches 0,1
- fix installation

  + Jérôme Soyer <saispo@mandriva.org>
    - Readd and rediff patch1
    - Push
    - New release 0.9.0
    - Remove patch0 and patch1

* Sun Jul 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-6mdv2008.0
+ Revision: 46226
- apply fedora patches
- disable gconf schema install during build

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 45977
- builrequires python-gobject-devel
- drop old debian menu


* Tue Feb 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.8.0-4mdv2007.0
+ Revision: 123116
-Use GNOME autostart feature
-Fix menu location
-Fix icon in menu

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-3mdv2007.1
+ Revision: 89290
- rebuild

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 72246
- rebuild for new libbtctl

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 64507
- Import gnome-bluetooth

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
- unpack patch
- update file list
- bump deps
- drop patches 0,2
- New version 0.8.0

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-7mdv2007.0
- fix provides

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-6mdv2007.0
- Rebuild with latest dbus
- fix xdg menu
- use macros

* Tue May 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-5mdk
- Patch1: fix tray icon transparency
- migrate menu to XDG

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-4mdk
- fix devel deps

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-3mdk
- patch for new openobex
- use mkrel

* Wed Jan 11 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.0-2mdk
- fix bug 20578

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdk
- update file list
- bump deps
- drop patches
- New release 0.7.0

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-3mdk 
- Patch2 (CVS): fix crash

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.6.0-2mdk
- requires gnome-python-gnomevfs (bug 15656)

* Thu Aug 18 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- add gconf schema and registration
- drop old file
- bump deps
- drop patch 0
- new version

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-15mdk
- fix lib64 patch

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-14mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.1-13mdk
- Rebuild for new python

* Tue Oct 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-12mdk
- lib64 fixes (aka pythondir path)

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-11mdk
- Fix Buildrequires again

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-10mdk
- Fix buildrequires

* Mon Sep 13 2004 Austin Acton <austin@mandrake.org> 0.5.1-9mdk
- add send dialog to menu

* Sat Aug 21 2004 Austin Acton <austin@mandrake.org> 0.5.1-8mdk
- new menu

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-7mdk
- Add xinit file for GNOME desktop

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-6mdk
- Patch0 : fix crash with gcc 3.4

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-5mdk
- rebuild for new bluez

* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.5.1-4mdk
- requires gnome-python
- move bonobo plugin to main package
- add icon for server
- better group and menu location

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-3mdk
- requires pygtk2.0-libglade

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-2mdk
- move python .so to main package

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Sun Jun 13 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5
- configure 2.5
- libify

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-4mdk
- Fix menu

